System.Design 1.0.5000.0 2.0.0.0 System.ComponentModel.Design.ComponentDesigner To be added.

Base designer class for extending the design-mode behavior of a process.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method adds the nonbrowsable "EnableRaisingEvents" and "StartInfo" properties to the designer's process at design time.

  Adjusts the set of properties the process exposes through a .

  An containing the properties for the class of the component. 1.0.5000.0 2.0.0.0